View Issue Details

IDProjectCategoryView StatusLast Update
0012125ScribusUser Interfacepublic2015-11-03 12:37
ReporterPeterBenedek Assigned Tocbradney  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx86OSLinux Mint OS Version16 (32bit)
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.5.1svn 
Summary0012125: Foot/Endnote mark delete == Crash
DescriptionEnvironment: Linux Mint 16 "Petra"
Version: Scribus 1.5.0 (https://launchpad.net/~scribus/+archive/ppa [^])
Language: HU

1) Insert - Foot/Endnote mark
2) Click the inserted mark. This: 1)
3) Press BackSpace
4) Scribus Crash: "Scribus crashes due to Signal # 11"

Link this video: https://www.dropbox.com/s/pl0g7bvtddcr51y/out_2-1.ogv
Additional Informationcrash happens when deleting the footnote recall
TagsHOST-Oman
PatchYes

Relationships

related to 0012551 closedjghali Delete Reference to Item crashes Scribus 
child of 0012496 acknowledged Metabug: Marks & Footnotes & Weld (1.5.0.svn) 

Activities

FirasH

2014-03-08 20:04

developer   ~0031479

Program received signal SIGSEGV, Segmentation fault.
0x00007fffefaf1d58 in main_arena () from /lib64/libc.so.6
(gdb) bt
#0 0x00007fffefaf1d58 in main_arena () from /lib64/libc.so.6
0000001 0x0000000000867241 in CanvasMode_Edit::keyPressEvent (this=0x31a7f20, e=0x7fffffffd8c0)
    at /home/.../Scribus/scribus/canvasmode_edit.cpp:146
0000002 0x0000000000da0ca6 in ScribusView::eventFilter (this=0x33b4340, obj=0x33b4340, event=0x7fffffffd8c0)
    at /home/.../Scribus/scribus/scribusview.cpp:4407
0000003 0x00007ffff767495d in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000004 0x00007ffff6cec0bf in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000005 0x00007ffff6cefe9e in QApplication::notify(QObject*, QEvent*) () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000006 0x00007ffff7674734 in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000007 0x00007ffff6d45fb0 in ?? () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000008 0x00007ffff6cec0f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000009 0x00007ffff6cef6ae in QApplication::notify(QObject*, QEvent*) () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000010 0x00007ffff7674734 in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000011 0x00007ffff6600238 in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Gui.so.5
0000012 0x00007ffff6609485 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Gui.so.5
0000013 0x00007ffff65f0ba8 in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Gui.so.5
0000014 0x00007fffe58281b0 in ?? () from /home/.../Qt/5.2.1/gcc_64/plugins/platforms/libqxcb.so
0000015 0x00007fffed05d316 in g_main_dispatch (context=0x7fffe0001740) at gmain.c:3066
0000016 g_main_context_dispatch (context=context@entry=0x7fffe0001740) at gmain.c:3642
0000017 0x00007fffed05d668 in g_main_context_iterate (context=context@entry=0x7fffe0001740, block=block@entry=1,
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3713
0000018 0x00007fffed05d70c in g_main_context_iteration (context=0x7fffe0001740, may_block=1) at gmain.c:3774
0000019 0x00007ffff76c5374 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000020 0x00007ffff76734ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000021 0x00007ffff767753e in QCoreApplication::exec() () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000022 0x0000000001225ad0 in mainApp (argc=1, argv=0x7fffffffdd78) at /home/.../Scribus/scribus/main_nix.cpp:86
0000023 0x0000000001225a60 in main (argc=1, argv=0x7fffffffdd78) at /home/.../Scribus/scribus/main_nix.cpp:54

JLuc

2014-07-04 13:58

developer   ~0032482

FYI there are several tests with footnotes in the contributors bugtracker : notably "0011837 crash when deleteing text of 2 footnotes at once"

anood

2015-10-27 07:17

reporter   ~0036968

Last edited: 2015-10-27 07:18

View 2 revisions

Hello
it's similar to this issue
http://bugs.scribus.net/view.php?id=12551

I upload updated patch
that will fix both
issue12551
issue12125

my patch will update GUI at the end of the function :)

anood

2015-10-27 07:17

reporter  

issue12125.patch (757 bytes)
Index: scribus/pageitem_textframe.cpp
===================================================================
--- scribus/pageitem_textframe.cpp	(revision 20483)
+++ scribus/pageitem_textframe.cpp	(working copy)
@@ -56,6 +56,7 @@
 #include "scribusstructs.h"
 #include "selection.h"
 #include "ui/guidemanager.h"
+#include "ui/marksmanager.h"
 #include "undomanager.h"
 #include "undostate.h"
 #include "util.h"
@@ -6034,6 +6035,7 @@
 				m_Doc->flag_updateEndNotes = true;
 			m_Doc->deleteNote(note);
 			note = selectedNoteMark(true);
+
 			++num;
 		}
 	}
@@ -6050,6 +6052,9 @@
 		}
 		mrk = selectedMark(true);
 	}
+	m_Doc->changed();
+    	m_Doc->regionsChanged()->update(QRectF());
+    	m_Doc->scMW()->marksManager->updateListView();
 	return num;
 }
 
issue12125.patch (757 bytes)

jghali

2015-10-27 23:27

administrator   ~0037007

I tested thet patch against this issue. It fixed 0012551 but apparently not this issue. Still getting the same crash mentionned by FirasH.

cbradney

2015-11-02 11:15

administrator   ~0037151

jghali confirms ok now.

Kunda

2015-11-03 00:45

manager   ~0037158

Peter, please test

PeterBenedek

2015-11-03 12:28

developer   ~0037177

Tested. Works well.

Kunda

2015-11-03 12:37

manager   ~0037179

Committed in r20488 (and any other revision?)
patched by anood, thanks!

Issue History

Date Modified Username Field Change
2014-03-06 12:11 PeterBenedek New Issue
2014-03-06 14:44 jghali Target Version => 1.5.0
2014-03-08 20:04 FirasH Note Added: 0031479
2014-07-04 13:58 JLuc Note Added: 0032482
2014-07-07 15:53 FirasH Status new => confirmed
2014-07-08 18:17 FirasH Relationship added child of 0012496
2014-09-11 02:47 Kunda Severity crash => block
2015-05-19 20:56 cbradney Target Version 1.5.0 => 1.5.1
2015-10-27 07:17 anood Note Added: 0036968
2015-10-27 07:17 anood File Added: issue12125.patch
2015-10-27 07:18 anood Note Edited: 0036968 View Revisions
2015-10-27 07:24 JLuc Patch => Yes
2015-10-27 07:54 JLuc Additional Information Updated View Revisions
2015-10-27 08:07 anood Tag Attached: HOST-Oman
2015-10-27 16:01 Kunda Relationship added related to 0012551
2015-10-27 23:27 jghali Note Added: 0037007
2015-11-02 11:15 cbradney Note Added: 0037151
2015-11-02 11:15 cbradney Status confirmed => resolved
2015-11-02 11:15 cbradney Fixed in Version => 1.5.1svn
2015-11-02 11:15 cbradney Resolution open => fixed
2015-11-02 11:15 cbradney Assigned To => cbradney
2015-11-03 00:45 Kunda Note Added: 0037158
2015-11-03 12:28 PeterBenedek Note Added: 0037177
2015-11-03 12:31 Kunda Description Updated View Revisions
2015-11-03 12:37 Kunda Note Added: 0037179
2015-11-03 12:37 Kunda Status resolved => closed